require_relative "activestorage_google_drive/version"
require_relative "activestorage_google_drive/railtie"
require_relative "activestorage/service/google_drive_service"
require_relative "activestorage/configuration/configuration"

module ActivestorageGoogleDrive
  class Error < StandardError; end
  class << self
    attr_accessor :configuration
  end

  def self.configuration
      @configuration ||= Configuration.new
  end

  def self.configure
      yield(configuration)
  end
end
